<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>19. Fundamentos de programación con Ruby</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="fundamentos-de-programacion-con-ruby">19. Fundamentos de programación con Ruby</h1>
        <ul>
            <li>
                <p>Horas: 20</p>
            </li>
            <li>
                <p>Tipo: práctico</p>
            </li>
            <li>
                <p>Relaciones: 5r, 6r, 8e, 9e, 18n, 20e</p>
            </li>
        </ul>
        <h2 id="descripcion_19">Descripción</h2>
        <p>«La edición se hizo código». Esta frase, aunque abrupta, sintetiza una cuestión rara vez visible en los procesos editoriales: no importan los formatos empleados para la producción de publicaciones ni los programas usados para generarlos, al final todo se reduce a ceros y unos. Con el uso de Ruby, un lenguaje de programación, se verán los fundamentos para empezar a desarrollar rutinas mediante <i>scripts</i> que permitan la simplificación y la automatización de tareas monótonas llevadas a cabo en la edición.</p>
        <h2 id="objetivos_19">Objetivos</h2>
        <ul>
            <li>
                <p>Instalar y configurar Ruby.</p>
            </li>
            <li>
                <p>Aprender los fundamentos de programación a través de Ruby.</p>
            </li>
            <li>
                <p>Programar <i>scripts</i> para automatizar el procesamiento de texto.</p>
            </li>
            <li>
                <p>Usar <i>scripts</i> como programas de terminal.</p>
            </li>
        </ul>
        <h2 id="temas_19">Temas</h2>
        <ol>
            <li>
                <p>¿Qué son los lenguajes de programación y Ruby?</p>
            </li>
            <li>
                <p>Instalación y configuración de Ruby.</p>
            </li>
            <li>
                <p>Números, líneas de textos y variables.</p>
            </li>
            <li>
                <p>Conversión de variables y algunos métodos de Ruby.</p>
            </li>
            <li>
                <p>Condicionales.</p>
            </li>
            <li>
                <p>Matrices e iteraciones.</p>
            </li>
            <li>
                <p>Clase <code>Hash</code> de Ruby.</p>
            </li>
            <li>
                <p>Creación de métodos.</p>
            </li>
            <li>
                <p>Extensión de clases.</p>
            </li>
            <li>
                <p>Uso de gemas y de otras herramientas en Ruby.</p>
            </li>
            <li>
                <p>Formateo de texto.</p>
            </li>
            <li>
                <p>Conversión de formatos de texto.</p>
            </li>
            <li>
                <p>Desarrollo de <i>scripts</i> de automatización.</p>
            </li>
            <li>
                <p>De <i>script</i> a programa de la terminal.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_19">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Uso de la terminal Bash.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_19">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Computadoras para realizar los ejercicios.</p>
            </li>
            <li>
                <p>Conexión a internet.</p>
            </li>
            <li>
                <p>Cañón.</p>
            </li>
        </ul>
    </body>
</html>
